// ===================================================================
// Copyright 2009 - Yann COLLETTE
// Copyright 2018 - Samuel GOUGEON
// 
// This file is released into the public domain
// ===================================================================
function builder_main()

    TOOLBOX_NAME = "scidoe";
    TOOLBOX_TITLE = "Scidoe";
    toolbox_dir = get_absolute_file_path("builder.sce");

    // Check Scilab's version
    // ===============================================================
    try
        v = getversion("scilab");
    catch
        error(gettext("Scilab 5.3 or more required."));
    end

    // Check modules_manager module availability
    //================================================================
    if ~isdef("tbx_build_loader") then
        msg = gettext("%s module not installed.\n")
        error(msprintf(msg, "modules_manager"));
    end

    tbx_builder_macros(toolbox_dir);
    tbx_builder_help(toolbox_dir);
    if v(1)>5 then
        tbx_build_loader(toolbox_dir);
        tbx_build_cleaner(toolbox_dir);
    else
        tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
        tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);
    end

endfunction
//====================================================================
builder_main()
clear builder_main;
//====================================================================
